Subject: Re: Am a newby and I cannot compile git

From: Fabio Aiuto <[email-masked]>
Date: Mon, 11 Feb 2019 20:08:01 +0100

Hello Santiago,
I'm running debian Stretch on my machine, and using Eclipse. I'm new in
linux world so I don't know how could I let you know all packages I've
installed in a single screenshot.
However I got the git sources with the following command:

$ git clone git://git.kernel.org/pub/scm/git/git.git

then I've opened the project inside Eclipse by importing a makefile
project from existing code. I tried to build several time beacuse of
some compilation errors that I fixed by installing the following
packages:

$ sudo apt-get install zlib1g-dev
$ sudo apt-get install libcurl-dev
$ sudo apt-get install libcurl4-openssl-dev
$ sudo apt-get install libexpat1-dev

At last no building errors detected but when I try to run adebug
session, the IDE says tat 'Program file does not exist'. And there are
more errors spread over the project wich are not detected.When i do the
rebuild by clicking the 'hammer' icon, the message in the console
window says:
20:04:07 **** Incremental Build of configuration Default for project
git ****
make all 
    SUBDIR git-gui
    SUBDIR gitk-git
    SUBDIR templates

20:04:08 Build Finished (took 866ms)

Please ask me for more informations!!!!
Thank you
Il giorno dom, 10/02/2019 alle 17.48 -0500, Santiago Torres ha scritto:
> It'd be difficult to debug without more context:
> 
> Do you mind sharing your build log and more informationa about your
> setup? (e.g., what OS are you running, what packages are installed,
> how
> did you get the git sources, etc.)
> 
> Thanks,
> -Santiago.
> 
> On Sun, Feb 10, 2019 at 10:56:54PM +0100, Fabio Aiuto wrote:
> > Hello again my problem is that I cannot compile git.
> > The error message says:
> > 
> > 	Type'z_stream' could not be resolved
> > 
> > I don't know why, because I installed the package zlib1g-dev and in
> > the
> > header file zlib.h this structure is declared. Help me!!!
> > Fabio.